<?php
/**
 * Appearance panel
 */
Kirki::add_panel( 'appearance', array(
	'title'          => esc_attr__( 'Appearance', 'faithpress' ),
	'description'    => esc_attr__( 'Customize the design of the elements of the theme.', 'faithpress' ),
	'priority'       => 135,
) );

/**
 * Global colors section
 */
Kirki::add_section( 'global_color', array(
	'title'          => esc_attr__( 'Global Colors', 'faithpress' ),
	'priority'       => 1,
	'panel'          => 'appearance'
) );

/**
 * Primary color
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'color',
	'settings'    => 'primary_color',
	'label'       => esc_attr__( 'Primary Color', 'faithpress' ),
	'section'     => 'global_color',
	'default'     => '#c42d2d',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => faithpress_primary_colors( 'colors' ),
			'property' => 'color',
			'exclude'  => array( '#c42d2d' )
		),
		array(
			'element'  => faithpress_primary_colors( 'backgrounds' ),
			'property' => 'background-color',
			'exclude'  => array( '#c42d2d' )
		),
		array(
			'element'  => faithpress_primary_colors( 'borders' ),
			'property' => 'border-color',
			'exclude'  => array( '#c42d2d' )
		),
	),
	'transport'   => 'auto',
) );

/**
 * Text color
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'color',
	'settings'    => 'text_color',
	'label'       => esc_attr__( 'Text Color', 'faithpress' ),
	'section'     => 'global_color',
	'default'     => '#393939',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => 'body',
			'property' => 'color',
			'exclude'  => array( '#393939' )
		),
	),
	'transport'   => 'auto',
) );

/**
 * Heading color
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'color',
	'settings'    => 'heading_color',
	'label'       => esc_attr__( 'Heading Color', 'faithpress' ),
	'section'     => 'global_color',
	'default'     => '#393939',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => faithpress_heading_selector(),
			'property' => 'color',
			'exclude'  => array( '#393939' )
		),
	),
	'transport'   => 'auto',
) );
