<?php
/**
 * Widgets section
 */
Kirki::add_section( 'widgets', array(
	'title'          => esc_attr__( 'Widgets', 'faithpress' ),
	'priority'       => 25,
	'panel'          => 'appearance'
) );

/**
 * Widget title
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'typography',
	'settings'    => 'widgets_title',
	'label'       => esc_attr__( 'Widget Title', 'faithpress' ),
	'section'     => 'widgets',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => '700',
		'font-size'      => '15px',
		'letter-spacing' => '0',
		'color'          => '#393939',
		'text-transform' => 'uppercase'
	),
	'output'       => array(
		array(
			'element'  => '.widget-title'
		),
	),
) );

/**
 * Widget title spacing
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'slider',
	'settings'    => 'widgets_title_spacing',
	'label'       => esc_attr__( 'Title Spacing', 'faithpress' ),
	'description' => esc_attr__( 'Widget title margin bottom.', 'faithpress' ),
	'section'     => 'widgets',
	'default'     => '20',
	'choices'      => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'output'      => array(
		array(
			'element'  => '.widget-area .widget-title',
			'property' => 'margin-bottom',
			'units'    => 'px',
			'exclude'  => array( '20' )
		),
	),
	'transport'    => 'auto',
) );

/**
 * Widget spacing
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'slider',
	'settings'    => 'widgets_spacing',
	'label'       => esc_attr__( 'Widget Spacing', 'faithpress' ),
	'description' => esc_attr__( 'The space between widgets', 'faithpress' ),
	'section'     => 'widgets',
	'default'     => '80',
	'choices'      => array(
		'min'  => 20,
		'max'  => 100,
		'step' => 5,
	),
	'output'      => array(
		array(
			'element'  => '.widget',
			'property' => 'margin-bottom',
			'units'    => 'px',
			'exclude'  => array( '80' )
		),
	),
	'transport'    => 'auto',
) );
