<?php
/**
 * Header panel
 */
Kirki::add_panel( 'header', array(
	'title'          => esc_attr__( 'Header', 'faithpress' ),
	'description'    => esc_attr__( 'Customize the header area of the theme.', 'faithpress' ),
	'priority'       => 140,
) );

/**
 * Header section
 */
Kirki::add_section( 'header_settings', array(
	'title'          => esc_attr__( 'General', 'faithpress' ),
	'priority'       => 1,
	'panel'          => 'header'
) );

/**
 * Header style
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'select',
	'settings'    => 'header_style',
	'label'       => esc_attr__( 'Style', 'faithpress' ),
	'section'     => 'header_settings',
	'default'     => 'default',
	'multiple'    => 1,
	'choices'     => array(
		'default' => esc_attr__( 'Default', 'faithpress' ),
		'custom'  => esc_attr__( 'Custom Header', 'faithpress' )
	),
) );

/**
 * Header custom
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'select',
	'settings'    => 'header_template',
	'label'       => esc_attr__( 'Select Template', 'faithpress' ),
	'description' => esc_attr__( 'Choose a template created in Appearance > My Library.', 'faithpress' ),
	'section'     => 'header_settings',
	'default'     => '0',
	'multiple'    => 1,
	'choices'     => faithpress_library( 'library' ),
	'required'    => array(
		array(
			'setting'  => 'header_style',
			'operator' => '==',
			'value'    => 'custom',
		),
	),
) );

/**
 * Height
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'slider',
	'settings'    => 'header_height',
	'label'       => esc_attr__( 'Height', 'faithpress' ),
	'description' => esc_attr__( 'Control the height of the header.', 'faithpress' ),
	'section'     => 'header_settings',
	'default'     => '10',
	'choices'     => array(
		'min'  => '10',
		'max'  => '20',
		'step' => '1',
	),
	'output'      => array(
		array(
			'element'  => '.site-header .container',
			'property' => 'min-height',
			'units'    => 'rem',
			'exclude'  => array( '10' ),
		),
	),
	'transport'   => 'auto',
	'required'    => array(
		array(
			'setting'  => 'header_style',
			'operator' => '==',
			'value'    => 'default',
		),
		array(
			'setting'  => 'header_variation',
			'operator' => '==',
			'value'    => 'variation-one',
		),
	),
) );

/**
 * Background color
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'color',
	'settings'    => 'header_bg',
	'label'       => esc_attr__( 'Background Color', 'faithpress' ),
	'section'     => 'header_settings',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.site-header',
			'property' => 'background-color',
			'exclude'  => array( '#ffffff' ),
		),
	),
	'transport'   => 'auto',
	'required'    => array(
		array(
			'setting'  => 'header_style',
			'operator' => '==',
			'value'    => 'default',
		),
	),
) );
