<?php
/**
 * Search section
 */
Kirki::add_section( 'search', array(
	'title'          => esc_attr__( 'Search', 'faithpress' ),
	'priority'       => 25,
	'panel'          => 'header'
) );

/**
 * Search
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'toggle',
	'settings'    => 'search_icon',
	'label'       => esc_attr__( 'Search', 'faithpress' ),
	'description' => esc_attr__( 'Enable search icon in header.', 'faithpress' ),
	'section'     => 'search',
	'default'     => '1'
) );

/**
 * Search color
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'color',
	'settings'    => 'search_color',
	'label'       => esc_attr__( 'Search Icon Color', 'faithpress' ),
	'section'     => 'search',
	'default'     => '#393939',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.search-icon .search-toggle',
			'property' => 'color',
			'exclude'  => array( '#393939' ),
		),
	),
	'transport'   => 'auto',
	'required'    => array(
		array(
			'setting'  => 'search_icon',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );

/**
 * Search color: hover
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'color',
	'settings'    => 'search_color_hover',
	'label'       => esc_attr__( 'Search Icon Color: Hover', 'faithpress' ),
	'section'     => 'search',
	'default'     => '#c42d2d',
	'choices'     => array(
		'alpha' => true,
	),
	'output'      => array(
		array(
			'element'  => '.search-icon .search-toggle:hover',
			'property' => 'color',
			'exclude'  => array( '#c42d2d' ),
		),
		array(
			'element'  => '.search-icon .search-toggle:visited:hover',
			'property' => 'color',
			'exclude'  => array( '#c42d2d' ),
		),
	),
	'transport'   => 'auto',
	'required'    => array(
		array(
			'setting'  => 'search_icon',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );
