<?php
// Vars
$img   = get_theme_mod( 'post_featured_image', true );

// Metaboxes
$date       = get_post_meta( get_the_ID(), 'start_date', true );
$teacher    = get_post_meta( get_the_ID(), 'teacher', true );
$class_size = get_post_meta( get_the_ID(), 'class_size', true );
$age        = get_post_meta( get_the_ID(), 'age', true );
$duration   = get_post_meta( get_the_ID(), 'duration', true );
$price      = get_post_meta( get_the_ID(), 'price', true );

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( true == $img && has_post_thumbnail() ) : ?>
		<div class="post-thumbnail">
			<?php
				the_post_thumbnail( 'post-thumbnail', array(
					'alt' => the_title_attribute( array(
						'echo' => false,
					) ),
				) );
			?>
		</div>
	<?php endif; ?>

	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
	</header>

	<ul class="course-details">
		<?php if ( $date ) : ?>
			<li class="date">
				<span class="info"><?php esc_attr_e( 'Start Date', 'faithpress' ); ?></span>
				<span class="data"><?php echo date( 'd M, Y', strtotime( esc_html( $date ) ) ); ?></span>
			</li>
		<?php endif; ?>
		<?php if ( $teacher ) : ?>
			<li class="teacher">
				<span class="info"><?php esc_attr_e( 'Teacher', 'faithpress' ); ?></span>
				<span class="data"><?php echo esc_html( $teacher ); ?></span>
			</li>
		<?php endif; ?>
		<?php if ( $class_size ) : ?>
			<li class="class-size">
				<span class="info"><?php esc_attr_e( 'Class Size', 'faithpress' ); ?></span>
				<span class="data"><?php echo esc_html( $class_size ); ?></span>
			</li>
		<?php endif; ?>
		<?php if ( $age ) : ?>
			<li class="age">
				<span class="info"><?php esc_attr_e( 'Age', 'faithpress' ); ?></span>
				<span class="data"><?php echo esc_html( $age ); ?></span>
			</li>
		<?php endif; ?>
		<?php if ( $duration ) : ?>
			<li class="duration">
				<span class="info"><?php esc_attr_e( 'Duration', 'faithpress' ); ?></span>
				<span class="data"><?php echo esc_html( $duration ); ?></span>
			</li>
		<?php endif; ?>
		<?php if ( $price ) : ?>
			<li class="price">
				<span class="info"><?php esc_attr_e( 'Price', 'faithpress' ); ?></span>
				<span class="data"><?php echo esc_html( $price ); ?></span>
			</li>
		<?php endif; ?>
	</ul>

	<div class="entry-content">

		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'faithpress' ),
				'after'  => '</div>',
			) );
		?>

	</div>

</article><!-- #post-## -->
