<?php
$sermon_archive = get_post_type_archive_link( 'sermons' ); // Sermons archive URL
$sermon_speaker = wp_get_post_terms( $post->ID, 'sermon_speaker' ); // Speaker
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry-grid' ); ?>>

	<?php faithpress_post_thumbnail(); ?>

	<header class="entry-header">

		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<div class="entry-meta">
			<?php
				if ( ! empty( $sermon_speaker ) && ! is_wp_error( $sermon_speaker ) ) {
					$output = '<span class="sermon-speaker">';
					$output .= esc_html__( 'Speaker: ', 'faithpress' );
					foreach( $sermon_speaker as $speaker ) {
						$output .= '<a href="' . $sermon_archive . '?sermon_speaker=' . $speaker->slug . '">' . $speaker->name . '</a>';
					}
					$output .= '</span>';
					echo $output;
				}
			?>
			<span class="posted-on">
				<time class="entry-date published" datetime="<?php echo esc_attr( get_the_date( 'c' ) ) ?>"><?php echo get_the_date(); ?></time>
			</span>
		</div>

	</header>

	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div>

	<span class="more-link-wrapper">
		<a href="<?php the_permalink(); ?>" class="more-link"><?php esc_html_e( 'Continue Reading', 'faithpress' ); ?></a>
	</span>

</article><!-- #post-## -->
